Bug 24884 - Remove 'New list' button in 'Public lists' tab if OpacAllowPublicListCreation is disabled
Summary: Remove 'New list' button in 'Public lists' tab if OpacAllowPublicListCreation...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-16 22:36 UTC by Caroline Cyr La Rose
Modified: 2020-09-04 15:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 24884: Remove 'New list' button in 'Public lists' tab if OpacAllowPublicListCreation is disabled (2.50 KB, patch)
2020-08-17 17:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24884: Remove 'New list' button in 'Public lists' tab if OpacAllowPublicListCreation is disabled (2.59 KB, patch)
2020-08-17 19:59 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 24884: Remove 'New list' button in 'Public lists' tab if OpacAllowPublicListCreation is disabled (2.64 KB, patch)
2020-08-17 22:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-03-16 22:36:57 UTC
When OpacAllowPublicListCreation is disabled (i.e. patrons are not allowed to create public lists from the OPAC), there shouldn't be a 'New list' button in the 'Public lists' tab. 

I am aware this does not enable patrons to create public lists, but it can be confusing, since it is in the 'Public lists' tab.

To replicate:
1) In Administration > Global system preferences, search for OpacAllowPublicListCreation
2) Choose "Don't allow" and Save
3) Go to the OPAC and log into an account
4) In your account go to "your lists"
5) Click on the "Public lists" tab

Note there is a 'New list' button.
Comment 1 Rhonda Kuiper 2020-08-14 17:43:06 UTC
Agree.  This is confusing to the patron.
Rhonda K.
Comment 2 Owen Leonard 2020-08-17 17:16:16 UTC Comment hidden (obsolete)
Comment 3 Caroline Cyr La Rose 2020-08-17 19:59:39 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2020-08-17 22:10:27 UTC
Created attachment 108425 [details] [review]
Bug 24884: Remove 'New list' button in 'Public lists' tab if OpacAllowPublicListCreation is disabled

This patch adds a check on the OpacAllowPublicListCreation system
preference to the OPAC lists template so that if public list creation is
disabled the "New list" button doesn't appear under the "Public lists"
tab.

To test, apply the patch and confirm that the virtualshelves preference
is enabled.

- With the OpacAllowPublicListCreation system preference enabled, go to
  the OPAC and view the lists page.
  - If you are logged in you should see a "New list" link under both the
    "Your lists" tab and the "Public lists" tab.
  - If you are not logged in you should see "Log in to create a new
    list" on both pages.
- View the page with OpacAllowPublicListCreation disabled.
  - If you are logged in you should see a "New list" link under only the
    "Your lists" tab.
  - If you are not logged in you should see the "Log in" link only under
    the "Your lists" tab.

Works perfectly!

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-08-18 15:46:21 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-09-04 15:33:54 UTC
enhancement will not be backported to 20.05.x